.\"	$OpenBSD: fmod.3,v 1.11 2013/06/05 03:40:26 tedu Exp $
.\" Copyright (c) 1991 The Regents of the University of California.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)fmod.3	5.1 (Berkeley) 5/2/91
.\"
.Dd $Mdocdate: June 5 2013 $
.Dt FMOD 3
.Os
.Sh NAME
.Nm fmod ,
.Nm fmodf ,
.Nm fmodl
.Nd floating-point remainder functions
.Sh SYNOPSIS
.In math.h
.Ft double
.Fn fmod "double x" "double y"
.Ft float
.Fn fmodf "float x" "float y"
.Ft long double
.Fn fmodl "long double x" "long double y"
.Sh DESCRIPTION
The
.Fn fmod
function computes the floating-point remainder of
.Fa x Ns / Fa y .
The
.Fn fmodf
function is a single precision version of
.Fn fmod .
The
.Fn fmodl
function is an extended precision version of
.Fn fmod .
.Sh RETURN VALUES
The
.Fn fmod ,
.Fn fmodf
and
.Fn fmodl
functions return the value
.Sm off
.Fa x - Em i * Fa y ,
.Sm on
for some integer
.Em i
such that, if
.Fa y
is non-zero, the result has the same sign as
.Fa x
and magnitude less than the magnitude of
.Fa y .
If
.Fa y
is zero, whether a domain error occurs or the
.Fn fmod
function returns zero is implementation-defined.
.Sh SEE ALSO
.Xr remainder 3
.Sh STANDARDS
The
.Fn fmod
function conforms to
.St -ansiC .
